Subject: bug#16543: 24.3; Newsticker retrieve method and https

From: Cédric Chépied <[email-masked]>
Date: Thu, 31 Jul 2014 23:06:07 +0200

At Thu, 31 Jul 2014 20:16:18 +0200,
Ulf Jasper wrote:
> 
> Cédric Chépied <[email-masked]> writes:
> 
> > start emacs -Q
> > go to buffer scratch
> > type: 
> > (setq newsticker-url-list (quote ( ("Archlinux"
> > "https://www.archlinux.org/feeds/news/" nil nil nil) ("Bonjour Madame"
> > "http://feeds2.feedburner.com/BonjourMadame" nil nil nil) )))
> > M-x eval-buffer
> > M-x newsticker-treeview
> >
> > It hangs and last messages are:
> > Newsticker started!
> > Contacting host: www.emacswiki.org:80
> > Opening TLS connection to `www.archlinux.org'...
> > Opening TLS connection with `gnutls-cli --insecure -p 443 www.archlinux.org'...
> > Opening TLS connection to `feeds2.feedburner.com'...
> > Opening TLS connection with `gnutls-cli --insecure -p 80 feeds2.feedburner.com'...failed
> > Opening TLS connection with `gnutls-cli --insecure -p 80 feeds2.feedburner.com --protocols ssl3'...failed
> > Opening TLS connection with `openssl s_client -connect feeds2.feedburner.com:80 -no_ssl2 -ign_eof'...done
> 
> I cannot reproduce that, neither with 24.3 nor with current trunk.  Do
> you still see this problem?

I cannot reproduce it anymore. I'm on master branch. I think you can close it.

Thanks,
-- 
Cédric Chépied
<[email-masked]>